## org.eclipse.emf.common.ui.wizard
Class AbstractExampleInstallerWizard.ProjectPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Enclosing class:
  AbstractExampleInstallerWizard

    public class AbstractExampleInstallerWizard.ProjectPage

extends WizardPage

Field Summary
`protected Button` `deleteAllButton`
`protected Button` `deleteButton`
`protected Text` `descriptionText`
`protected List` `projectList`
`protected Button` `renameButton`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AbstractExampleInstallerWizard.ProjectPage(java.lang.String pageName, java.lang.String title, ImageDescriptor titleImage)`

Method Summary
`void` `createControl(Composite parent)`
`protected void` `deleteAllExistingProjects()`
`protected void` `deleteExistingProject()`
`protected void` `deleteExistingProjects(java.util.List<IProject> existingProjects)`
`protected AbstractExampleInstallerWizard.ProjectDescriptor` `getSelectedProjectDescriptor()`
`protected void` `itemSelected()`
`void` `refresh()`
`protected void` `renameExistingProject()`
`protected void` `waitForDeleteJob(java.util.List<IProject> existingProjects)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### projectList

    protected List projectList

### descriptionText

    protected Text descriptionText

### deleteButton

    protected Button deleteButton

### deleteAllButton

    protected Button deleteAllButton

### renameButton

    protected Button renameButton

Constructor Detail

### AbstractExampleInstallerWizard.ProjectPage

    public AbstractExampleInstallerWizard.ProjectPage(java.lang.String pageName,
                                                      java.lang.String title,
                                                      ImageDescriptor titleImage)

Method Detail

### createControl

    public void createControl(Composite parent)

### refresh

    public void refresh()

### getSelectedProjectDescriptor

    protected AbstractExampleInstallerWizard.ProjectDescriptor getSelectedProjectDescriptor()

### itemSelected

    protected void itemSelected()

### deleteAllExistingProjects

    protected void deleteAllExistingProjects()

### deleteExistingProject

    protected void deleteExistingProject()

### deleteExistingProjects

    protected void deleteExistingProjects(java.util.List<IProject> existingProjects)

### waitForDeleteJob

    protected void waitForDeleteJob(java.util.List<IProject> existingProjects)

### renameExistingProject

    protected void renameExistingProject()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.